@import "styles/constants";

.navigationContainer {
  position: absolute;
  width: 300px;
  height: 100vw;
  top: 0px;
  z-index: 10;
  left: -300px;
  color: black;
  background-color: #f6f9fc;

  border: 1.5px solid black;
  display: flex;
  flex-direction: column;

  transition: left .4s;

  &.isOpened {
    left: 0px !important;
  }


  .navHeader {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 10px 20px;

    svg {
      &:hover {
        color: white;
        cursor: pointer;
      }
    }
  }

  .navigationWrapper {
    align-self: center;
    height: 370px;
    align-items: center;
    display: flex;
    justify-content: center;
    margin: 0;

    .linkList {
      margin: 0;
      padding: 0;
      display: flex;
      justify-content: space-around;
      height: 100%;
      flex-direction: column;
      align-items: center;

      .listItem {

      }
    }
  }
}
